Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160716 - missing jar -> fastjar symlink
Summary: missing jar -> fastjar symlink
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: java-1.4.2-gcj-compat
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Thomas Fitzsimmons
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-16 20:24 UTC by Andreas Thienemann
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-10-09 22:17:54 UTC


Attachments (Terms of Use)

Description Andreas Thienemann 2005-06-16 20:24:29 UTC
During a test rebuild of ecj-ecj-2.1.3-5 in the mock builder, the following
problem manifests itself:

+ find -name '*.class' -or -name '*.properties' -or -name '*.rsc'
+ xargs jar cf ../../../ecj-2.1.3.jar
xargs: jar: No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.45084 (%build)

The reason is, that the Required libgcj installs fastjar, but doesn't set up the
correct symlink with the alternatives system.
This is done by the java-$ver-compat package, which is not being installed.

According to nasrat the best way of dealing with this issue is dropping the
BuildRequires for gcc-java and libgcj and just setting a BuildRequire for
java-$ver-compat, or even better the virtual java-devel package which is
provided by the java-compat package. This will fix the alternatives problem and
pull in gcj and libgcj as well.

This bug is at least present in RHEL4, RHEL3, FC4, FC3 and current RawHide. Bugs
were filed for these releases as well.

Comment 1 Andreas Thienemann 2005-06-16 20:25:27 UTC
sorry, RHEL3 is not affected. copy-n-waste mistake

Comment 2 RHEL Product and Program Management 2006-10-09 22:09:34 UTC
The component this request has been filed against is not planned for inclusion
in the next update. The decision is based on weighting the priority and number
of requests for a component as well as the impact on the Red Hat Enterprise
Linux user-base: other components are considered having higher priority and the
number of changes we intend to include in update cycles is limited.

Comment 3 RHEL Product and Program Management 2006-10-09 22:17:54 UTC
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 


Note You need to log in before you can comment on or make changes to this bug.